Start a no-send automation test run
curl --request POST \
--url https://api.sendrealm.com/automations/{id}/test-runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event": "<string>",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"external_id": "<string>",
"payload": {}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event: '<string>',
contact_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
email: 'jsmith@example.com',
external_id: '<string>',
payload: {}
})
};
fetch('https://api.sendrealm.com/automations/{id}/test-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendrealm.com/automations/{id}/test-runs"
payload = {
"event": "<string>",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"external_id": "<string>",
"payload": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": 123,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"automation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"automation_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trigger_event_name": "<string>",
"resolved_identity_type": "<string>",
"resolved_identity_value": "<string>",
"correlation": {
"key": "<string>",
"value": "<string>"
},
"execution_mode": "<string>",
"status": "<string>",
"last_error": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"virtual_now": "2023-11-07T05:31:56Z",
"terminal_reason": "<string>",
"completed_step_key": "<string>",
"cancellation_requested_at": "2023-11-07T05:31:56Z",
"cancellation_reason": "<string>",
"canceled_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"trigger_event": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_name": "<string>",
"payload": {},
"correlation": {
"key": "<string>",
"value": "<string>"
},
"occurred_at": "2023-11-07T05:31:56Z"
},
"steps": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_key": "<string>",
"step_type": "<string>",
"status": "<string>",
"branch_taken": "<string>",
"input": "<string>",
"output": "<string>",
"last_error": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"waits": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_key": "<string>",
"step_type": "<string>",
"waiting_for_event_name": "<string>",
"status": "<string>",
"resolved_identity_value": "<string>",
"correlation": {
"key": "<string>",
"value": "<string>"
},
"execution_mode": "<string>",
"timeout_at": "2023-11-07T05:31:56Z",
"resumed_at": "2023-11-07T05:31:56Z",
"timed_out_at": "2023-11-07T05:31:56Z",
"outcome_branch": "<string>",
"resumed_by_event": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_name": "<string>",
"occurred_at": "2023-11-07T05:31:56Z"
}
}
],
"linked_emails": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"last_event": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"subject": "<string>",
"title": "<string>",
"automation_step_key": "<string>",
"template_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"linked_push_notifications": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"last_event": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"subject": "<string>",
"title": "<string>",
"automation_step_key": "<string>",
"template_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
],
"waits": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_key": "<string>",
"step_type": "<string>",
"waiting_for_event_name": "<string>",
"status": "<string>",
"resolved_identity_value": "<string>",
"correlation": {
"key": "<string>",
"value": "<string>"
},
"execution_mode": "<string>",
"timeout_at": "2023-11-07T05:31:56Z",
"resumed_at": "2023-11-07T05:31:56Z",
"timed_out_at": "2023-11-07T05:31:56Z",
"outcome_branch": "<string>",
"resumed_by_event": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_name": "<string>",
"occurred_at": "2023-11-07T05:31:56Z"
}
}
],
"sent_emails": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"last_event": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"subject": "<string>",
"title": "<string>",
"automation_step_key": "<string>",
"template_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"sent_push_notifications": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"last_event": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"subject": "<string>",
"title": "<string>",
"automation_step_key": "<string>",
"template_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}Automations
Start Automation Test Run
POST
/
automations
/
{id}
/
test-runs
Start a no-send automation test run
curl --request POST \
--url https://api.sendrealm.com/automations/{id}/test-runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event": "<string>",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"external_id": "<string>",
"payload": {}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event: '<string>',
contact_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
email: 'jsmith@example.com',
external_id: '<string>',
payload: {}
})
};
fetch('https://api.sendrealm.com/automations/{id}/test-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendrealm.com/automations/{id}/test-runs"
payload = {
"event": "<string>",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"external_id": "<string>",
"payload": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": 123,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"automation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"automation_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trigger_event_name": "<string>",
"resolved_identity_type": "<string>",
"resolved_identity_value": "<string>",
"correlation": {
"key": "<string>",
"value": "<string>"
},
"execution_mode": "<string>",
"status": "<string>",
"last_error": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"virtual_now": "2023-11-07T05:31:56Z",
"terminal_reason": "<string>",
"completed_step_key": "<string>",
"cancellation_requested_at": "2023-11-07T05:31:56Z",
"cancellation_reason": "<string>",
"canceled_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"trigger_event": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_name": "<string>",
"payload": {},
"correlation": {
"key": "<string>",
"value": "<string>"
},
"occurred_at": "2023-11-07T05:31:56Z"
},
"steps": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_key": "<string>",
"step_type": "<string>",
"status": "<string>",
"branch_taken": "<string>",
"input": "<string>",
"output": "<string>",
"last_error": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"waits": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_key": "<string>",
"step_type": "<string>",
"waiting_for_event_name": "<string>",
"status": "<string>",
"resolved_identity_value": "<string>",
"correlation": {
"key": "<string>",
"value": "<string>"
},
"execution_mode": "<string>",
"timeout_at": "2023-11-07T05:31:56Z",
"resumed_at": "2023-11-07T05:31:56Z",
"timed_out_at": "2023-11-07T05:31:56Z",
"outcome_branch": "<string>",
"resumed_by_event": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_name": "<string>",
"occurred_at": "2023-11-07T05:31:56Z"
}
}
],
"linked_emails": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"last_event": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"subject": "<string>",
"title": "<string>",
"automation_step_key": "<string>",
"template_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"linked_push_notifications": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"last_event": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"subject": "<string>",
"title": "<string>",
"automation_step_key": "<string>",
"template_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
],
"waits": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_key": "<string>",
"step_type": "<string>",
"waiting_for_event_name": "<string>",
"status": "<string>",
"resolved_identity_value": "<string>",
"correlation": {
"key": "<string>",
"value": "<string>"
},
"execution_mode": "<string>",
"timeout_at": "2023-11-07T05:31:56Z",
"resumed_at": "2023-11-07T05:31:56Z",
"timed_out_at": "2023-11-07T05:31:56Z",
"outcome_branch": "<string>",
"resumed_by_event": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_name": "<string>",
"occurred_at": "2023-11-07T05:31:56Z"
}
}
],
"sent_emails": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"last_event": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"subject": "<string>",
"title": "<string>",
"automation_step_key": "<string>",
"template_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"sent_push_notifications": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"last_event": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"subject": "<string>",
"title": "<string>",
"automation_step_key": "<string>",
"template_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
⌘I